<?xml version="1.0" ?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_file.xsd">
    <system>
        <tab id="academy_tab" translate="label" sortOrder="5">
            <label>Academy</label>
        </tab>

        <section id="academy" showInDefault="1" showInWebsite="1" showInStore="1" sortOrder="10" translate="label">
            <label>Academy configuration</label>
            <tab>academy_tab</tab>
            <resource>Academy_Book::book</resource>

            <group id="book" translate="label" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1">
                <label>Book configuration</label>
                <comment>Configuring a book functionality</comment>

                <field id="enabled" translate="label" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1" type="select">
                    <label>Is module enabled</label>
                    <comment>Switch off to not display any books</comment>
                    <tooltip>Usually these kinds of fields are used to enable or disable a given feature. Other fields might be dependent to this and will only appear if this field is set to yes.</tooltip>
                    <source_model>Magento\Config\Model\Config\Source\Yesno</source_model>
                </field>

                <field id="books_per_page" translate="label" sortOrder="10" showInDefault="1" showInWebsite="1" showInStore="1" type="text">
                    <label>Books per page</label>
                    <comment>How many books to show on a page</comment>
                    <validate>required-entry no-whitespace</validate> <!-- Field is required and must not contain any whitespace. -->
                    <!--<if_module_enabled>VENDOR_MODULE</if_module_enabled>-->
                    <depends> <!-- This field will only be visible if the field with the id A_UNIQUE_FIELD_ID is set to value 1 -->
                        <field id="enabled">1</field>
                    </depends>
                </field>
            </group>
        </section>
    </system>
</config>